%define	upstream_name	 IO-Compress-Lzf
%define upstream_version 2.069

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    IO::Compress::Lzf - Write lzf files/buffers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::LZF)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Compress::Base) >= 2.69.0
BuildRequires: perl(IO::Uncompress::Base) >= 2.69.0
BuildArch:  noarch

%description
This module provides a Perl interface that allows writing lzf compressed data
to files or buffer.

Note that although this module uses Compress::LZF for compression, it uses a
different file format. The lzf file format used here is the same as the lzf
command-line utility that ships with the lzf library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/*


%changelog
* Thu May 12 2016 tv <tv> 2.69.0-3.mga6
+ Revision: 1014011
- use std build macros

* Fri Jan 01 2016 tv <tv> 2.69.0-2.mga6
+ Revision: 917972
- rebuild for new perl

* Mon Sep 28 2015 sander85 <sander85> 2.69.0-1.mga6
+ Revision: 884668
- update to 2.069

* Mon Jun 29 2015 sander85 <sander85> 2.68.0-1.mga6
+ Revision: 848046
- update to 2.068

* Sun Oct 19 2014 umeabot <umeabot> 2.64.0-4.mga5
+ Revision: 790393
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.64.0-3.mga5
+ Revision: 749218
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.64.0-2.mga5
+ Revision: 685054
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 2.64.0-1.mga5
+ Revision: 593615
- update to 2.064

* Mon Oct 21 2013 umeabot <umeabot> 2.62.0-3.mga4
+ Revision: 538466
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 2.62.0-2.mga4
+ Revision: 489740
- Fix BRs

* Mon Aug 12 2013 sander85 <sander85> 2.62.0-1.mga4
+ Revision: 465971
- update to 2.062

* Mon Jun 10 2013 jquelin <jquelin> 2.61.0-1.mga4
+ Revision: 441606
- update to 2.061

* Sun Jan 13 2013 umeabot <umeabot> 2.58.0-2.mga3
+ Revision: 368470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 2.58.0-1.mga3
+ Revision: 317912
- update to 2.058

* Mon Sep 17 2012 jquelin <jquelin> 2.55.0-1.mga3
+ Revision: 295348
- update to 2.055

* Tue Jun 05 2012 jquelin <jquelin> 2.52.0-1.mga3
+ Revision: 255021
- update to 2.052

* Tue Mar 06 2012 jquelin <jquelin> 2.49.0-1.mga2
+ Revision: 220119
- update to 2.049

* Mon Dec 05 2011 kharec <kharec> 2.45.0-1.mga2
+ Revision: 177034
- update to 2.045

* Sun Dec 04 2011 kharec <kharec> 2.44.0-1.mga2
+ Revision: 175790
- update to 2.044

* Sat Dec 03 2011 kharec <kharec> 2.43.0-1.mga2
+ Revision: 175690
- update to 2.043

* Sat Nov 19 2011 kharec <kharec> 2.42.0-1.mga2
+ Revision: 169329
- update to 2.042

* Tue Nov 08 2011 jquelin <jquelin> 2.40.0-1.mga2
+ Revision: 165452
- remove MYMETA from %%doc
- update to 2.040

* Wed Jun 22 2011 jquelin <jquelin> 2.37.0-1.mga2
+ Revision: 112416
- update to 2.037

* Fri Jun 17 2011 jquelin <jquelin> 2.35.0-1.mga2
+ Revision: 109059
- update to 2.035

* Thu Feb 17 2011 dmorgan <dmorgan> 2.33.0-1.mga1
+ Revision: 52948
- New version

* Sun Jan 23 2011 jquelin <jquelin> 2.30.0-1.mga1
+ Revision: 33860
- mageia rebuild
- imported package perl-IO-Compress-Lzf

